Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 3235)
+++ palm/trunk/SOURCE/Makefile	(revision 3274)
@@ -461,7 +461,7 @@
 	advec_w_up.f90 \
 	average_3d_data.f90 \
+	basic_constants_and_equations_mod.f90 \
 	boundary_conds.f90 \
 	buoyancy.f90 \
-	calc_liquid_water_content.f90 \
 	calc_mean_profile.f90 \
 	calc_radiation.f90 \
@@ -488,5 +488,4 @@
 	data_output_tseries.f90 \
 	date_and_time_mod.f90 \
-	diagnostic_quantities_mod.f90 \
 	diffusion_s.f90 \
 	diffusion_u.f90 \
@@ -506,5 +505,4 @@
 	init_3d_model.f90 \
 	init_advec.f90 \
-	init_cloud_physics.f90 \
 	init_coupling.f90 \
 	init_dvrp.f90 \
@@ -542,5 +540,5 @@
 	lpm_write_restart_file.f90 \
 	message.f90 \
-	microphysics_mod.f90 \
+	bulk_cloud_model_mod.f90 \
 	model_1d_mod.f90 \
 	mod_kinds.f90 \
@@ -691,4 +689,5 @@
 	modules.o
 advec_ws.o: \
+	bulk_cloud_model_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -700,4 +699,5 @@
 	modules.o
 average_3d_data.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -710,5 +710,9 @@
 	turbulence_closure_mod.o \
 	urban_surface_mod.o
+basic_constants_and_equations_mod.o: \
+	mod_kinds.o
 boundary_conds.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	mod_kinds.o \
@@ -717,5 +721,12 @@
 	surface_mod.o \
 	turbulence_closure_mod.o
+bulk_cloud_model_mod.o: \
+	basic_constants_and_equations_mod.o \
+	cpulog_mod.o \
+	mod_kinds.o \
+	modules.o \
+	surface_mod.o
 buoyancy.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -723,9 +734,6 @@
 	mod_kinds.o \
 	modules.o
-calc_liquid_water_content.o: \
-	diagnostic_quantities_mod.o \
-	mod_kinds.o \
-	modules.o
 calc_radiation.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -741,9 +749,10 @@
 	posix_calls_from_fortran.o
 check_parameters.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	gust_mod.o \
 	land_surface_model_mod.o \
 	large_scale_forcing_nudging_mod.o \
-	microphysics_mod.o \
 	model_1d_mod.o \
 	mod_kinds.o \
@@ -778,4 +787,5 @@
 	modules.o
 chem_photolysis_mod.o: \
+	basic_constants_and_equations_mod.o \
 	chem_gasphase_mod.o \
 	chemistry_model_mod.o \
@@ -788,4 +798,6 @@
 	netcdf_interface_mod.o
 compute_vpt.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -803,8 +815,12 @@
 	modules.o
 data_output_dvrp.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
 	modules.o
 data_output_mask.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -824,4 +840,5 @@
 	netcdf_interface_mod.o
 data_output_spectra.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -841,4 +858,6 @@
 	virtual_flight_mod.o
 data_output_2d.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	gust_mod.o \
@@ -853,4 +872,6 @@
 	uv_exposure_model_mod.o
 data_output_3d.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -866,7 +887,4 @@
 	mod_kinds.o \
 	modules.o
-diagnostic_quantities_mod.o: \
-	mod_kinds.o \
-	modules.o
 diffusion_s.o: \
 	mod_kinds.o \
@@ -916,4 +934,6 @@
 	temperton_fft_mod.o
 flow_statistics.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	gust_mod.o \
@@ -932,4 +952,6 @@
 	modules.o
 header.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	date_and_time_mod.o \
@@ -937,5 +959,4 @@
 	land_surface_model_mod.o \
 	large_scale_forcing_nudging_mod.o \
-	microphysics_mod.o \
 	model_1d_mod.o \
 	mod_kinds.o \
@@ -956,4 +977,6 @@
 init_3d_model.o: \
 	advec_ws.o \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -963,5 +986,4 @@
 	large_scale_forcing_nudging_mod.o \
 	lpm_init.o \
-	microphysics_mod.o \
 	model_1d_mod.o \
 	mod_kinds.o \
@@ -987,7 +1009,4 @@
 	mod_kinds.o \
 	modules.o
-init_cloud_physics.o: \
-	mod_kinds.o \
-	modules.o
 init_coupling.o: \
 	mod_kinds.o \
@@ -1007,8 +1026,10 @@
 	vertical_nesting_mod.o
 init_masks.o: \
+	bulk_cloud_model_mod.o \
 	mod_kinds.o \
 	modules.o \
 	netcdf_interface_mod.o
 init_ocean.o: \
+	basic_constants_and_equations_mod.o \
 	eqn_state_seawater.o \
 	mod_kinds.o \
@@ -1024,15 +1045,19 @@
 	modules.o
 init_rankine.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
 init_slope.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
 interaction_droplets_ptq.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
 land_surface_model_mod.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	calc_mean_profile.o \
-	diagnostic_quantities_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1073,4 +1098,5 @@
 	pmc_particle_interface.o
 lpm_advec.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1085,4 +1111,5 @@
 	surface_mod.o
 lpm_calc_liquid_water_content.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1090,4 +1117,5 @@
 	modules.o
 lpm_collision_kernels.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1102,4 +1130,5 @@
 	netcdf_interface_mod.o
 lpm_droplet_collision.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	lpm_collision_kernels.o \
@@ -1108,6 +1137,6 @@
 	modules.o
 lpm_droplet_condensation.o: \
-	cpulog_mod.o \
-	diagnostic_quantities_mod.o \
+	basic_constants_and_equations_mod.o \
+	cpulog_mod.o \
 	lpm_collision_kernels.o \
 	mod_kinds.o \
@@ -1122,5 +1151,5 @@
 	netcdf_interface_mod.o
 lpm_init.o: \
-	diagnostic_quantities_mod.o \
+	basic_constants_and_equations_mod.o \
 	lpm_collision_kernels.o \
 	lpm_exchange_horiz.o \
@@ -1160,4 +1189,5 @@
 	modules.o
 lpm_splitting.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	lpm_exchange_horiz.o \
@@ -1178,11 +1208,6 @@
 	modules.o \
 	pmc_interface_mod.o
-microphysics_mod.o: \
-	cpulog_mod.o \
-	diagnostic_quantities_mod.o \
-	mod_kinds.o \
-	modules.o \
-	surface_mod.o
 model_1d_mod.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -1190,4 +1215,5 @@
 	mod_kinds.o
 multi_agent_system_mod.o: \
+	basic_constants_and_equations_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -1206,4 +1232,5 @@
 	surface_mod.o
 netcdf_interface_mod.o: \
+	basic_constants_and_equations_mod.o \
 	chemistry_model_mod.o \
 	gust_mod.o \
@@ -1225,4 +1252,5 @@
 	modules.o
 palm.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	chem_photolysis_mod.o \
@@ -1238,4 +1266,5 @@
 	write_restart_data_mod.o
 parin.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	chem_modules.o \
@@ -1244,5 +1273,4 @@
 	gust_mod.o \
 	land_surface_model_mod.o \
-	microphysics_mod.o \
 	model_1d_mod.o \
 	mod_kinds.o \
@@ -1263,4 +1291,5 @@
 	wind_turbine_model_mod.o
 plant_canopy_model_mod.o: \
+	bulk_cloud_model_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1276,4 +1305,5 @@
 	pmc_parent_mod.o
 pmc_interface_mod.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	chem_modules.o \
@@ -1344,4 +1374,5 @@
 	advec_ws.o \
 	advec_w_up.o \
+	bulk_cloud_model_mod.o \
 	buoyancy.o \
 	calc_radiation.o \
@@ -1358,5 +1389,4 @@
 	eqn_state_seawater.o \
 	large_scale_forcing_nudging_mod.o \
-	microphysics_mod.o \
 	mod_kinds.o \
 	mod_kinds.o \
@@ -1375,7 +1405,8 @@
 	modules.o
 radiation_model_mod.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	calc_mean_profile.o \
 	date_and_time_mod.o \
-	microphysics_mod.o \
 	mod_particle_attributes.o \
 	modules.o \
@@ -1393,4 +1424,5 @@
 	modules.o
 read_restart_data_mod.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -1398,5 +1430,4 @@
 	gust_mod.o \
 	land_surface_model_mod.o \
-	microphysics_mod.o \
 	modules.o \
 	mod_kinds.o \
@@ -1435,4 +1466,6 @@
 	modules.o
 sum_up_3d_data.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -1447,4 +1480,5 @@
 	uv_exposure_model_mod.o
 surface_coupler.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1452,4 +1486,6 @@
 	surface_mod.o
 surface_layer_fluxes_mod.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	chem_modules.o \
 	exchange_horiz_2d.o \
@@ -1465,4 +1501,5 @@
 	modules.o
 swap_timelevel.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	cpulog_mod.o \
@@ -1475,4 +1512,5 @@
 	urban_surface_mod.o
 synthetic_turbulence_generator_mod.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1484,4 +1522,5 @@
 time_integration.o: \
 	advec_ws.o \
+	bulk_cloud_model_mod.o \
 	buoyancy.o \
 	calc_mean_profile.o \
@@ -1496,5 +1535,4 @@
 	large_scale_forcing_nudging_mod.o \
 	lpm.o \
-	microphysics_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1516,4 +1554,5 @@
 	wind_turbine_model_mod.o
 time_integration_spinup.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	date_and_time_mod.o \
@@ -1528,6 +1567,6 @@
 	mod_kinds.o
 timestep.o: \
-	cpulog_mod.o \
-	microphysics_mod.o \
+	bulk_cloud_model_mod.o \
+	cpulog_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1542,4 +1581,5 @@
 	modules.o
 tridia_solver_mod.o: \
+	basic_constants_and_equations_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -1549,6 +1589,7 @@
 	advec_s_up.o \
 	advec_ws.o \
-	cpulog_mod.o \
-	microphysics_mod.o \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
+	cpulog_mod.o \
 	mod_kinds.o \
 	mod_particle_attributes.o \
@@ -1560,4 +1601,5 @@
 	user_actions.o
 urban_surface_mod.o: \
+	basic_constants_and_equations_mod.o \
 	date_and_time_mod.o \
 	mod_kinds.o \
@@ -1706,4 +1748,5 @@
 	user_module.o
 uv_exposure_model_mod.o: \
+	basic_constants_and_equations_mod.o \
 	date_and_time_mod.o \
 	mod_kinds.o \
@@ -1716,4 +1759,6 @@
 	turbulence_closure_mod.o
 virtual_flight_mod.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1723,4 +1768,5 @@
 	user_init_flight.o
 wind_turbine_model_mod.o: \
+	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -1729,9 +1775,9 @@
 	mod_kinds.o
 write_restart_data_mod.o: \
+	bulk_cloud_model_mod.o \
 	chemistry_model_mod.o \
 	date_and_time_mod.o \
 	gust_mod.o \
 	land_surface_model_mod.o \
-	microphysics_mod.o \
 	mod_kinds.o \
 	mod_particle_attributes.o \
